CMCICLENTFT.CREATEINSTANCE(3)

NAME
CMCIClientFT.createInstance() - Create class instance

SYNOPSIS
#include <cmci.h>

CMPIObjectPath*
CMCIClientFT.createInstance(CMCIClient*cl,
CMPIObjectPath*op,
CMPIInstance*inst,
CMPIStatus*rc);

DESCRIPTION
Create class instance using op as reference.

Arguments are the client object pointer cl, ObjectPath object pointer op that contains namespace and classname components, inst is a complete instance object pointer, and rc the CMPI operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.createInstance() function returns a pointer to a CMPIObjectPath object with the new instance reference and sets a successful status code for rc. When unsuccessful it returns NULL and sets the rc argument with the error code and and corresponding error string.

ERRORS

EXAMPLES

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIObjectPath(3), CMPIInstance(3), CMPIStatus(3)